GNU bug report logs - #31848
[macOS] M-x server-start crashes if extraneous server file exists

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Tim Harper <timcharper@HIDDEN>; merged with #32376; dated Fri, 15 Jun 2018 17:31:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 31848 32376. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to '[macOS] M-x server-start crashes if extraneous server file exists' from '26.1; M-x server-start crashes if extraneous server file exists' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 31848 <at> debbugs.gnu.org:


Received: (at 31848) by debbugs.gnu.org; 22 Jun 2018 06:17:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 22 02:17:52 2018
Received: from localhost ([127.0.0.1]:59596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fWFOJ-00020n-U0
	for submit <at> debbugs.gnu.org; Fri, 22 Jun 2018 02:17:52 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36942)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fWFOI-00020W-DI
 for 31848 <at> debbugs.gnu.org; Fri, 22 Jun 2018 02:17:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fWFO9-0005bc-Jn
 for 31848 <at> debbugs.gnu.org; Fri, 22 Jun 2018 02:17:44 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:34157)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fWFO9-0005bY-GH; Fri, 22 Jun 2018 02:17:41 -0400
Received: from [176.228.60.248] (port=2503 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fWFO8-0008MA-0n; Fri, 22 Jun 2018 02:17:40 -0400
Date: Fri, 22 Jun 2018 09:17:47 +0300
Message-Id: <83lgb7qr90.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Tim Harper <timcharper@HIDDEN>
In-reply-to: <CAFQ1bMDefL9-_a38KeQfQLEXBn2_CaVTt+VDVDkLFckGSi02jA@HIDDEN>
 (message from Tim Harper on Thu, 21 Jun 2018 16:24:50 -0600)
Subject: Re: bug#31848: 26.1;
 M-x server-start crashes if extraneous server file exists
References: <B3491CF9-A0C3-4056-8ED2-B2B60C85D7AD@HIDDEN>
 <20180617110029.GA45782@HIDDEN>
 <CAFQ1bMDefL9-_a38KeQfQLEXBn2_CaVTt+VDVDkLFckGSi02jA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31848
Cc: alan@HIDDEN, 31848 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Tim Harper <timcharper@HIDDEN>
> Date: Thu, 21 Jun 2018 16:24:50 -0600
> Cc: 31848 <at> debbugs.gnu.org
> 
> It is probably an OS X only crash.

Yes, because I tested on Windows, where server-use-tcp is non-nil by
default.

My question regarding the Lisp function which crashes still stands.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31848; Package emacs. Full text available.

Message received at 31848 <at> debbugs.gnu.org:


Received: (at 31848) by debbugs.gnu.org; 21 Jun 2018 22:25:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 21 18:25:10 2018
Received: from localhost ([127.0.0.1]:59478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fW80s-0001pu-8w
	for submit <at> debbugs.gnu.org; Thu, 21 Jun 2018 18:25:10 -0400
Received: from mail-wr0-f171.google.com ([209.85.128.171]:43610)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <timcharper@HIDDEN>) id 1fW80p-0001pg-Es
 for 31848 <at> debbugs.gnu.org; Thu, 21 Jun 2018 18:25:07 -0400
Received: by mail-wr0-f171.google.com with SMTP id d2-v6so4699160wrm.10
 for <31848 <at> debbugs.gnu.org>; Thu, 21 Jun 2018 15:25:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=bhkXAgBQB4bUs9IMamx8hK6Gan7hZIW9FpmOXmLp7H8=;
 b=KaojJewnBpJ8KxSLR3dqWHsujQyCEfmdm3DKwVKvaMF7D+YP1xb0LXe4fua2ySeQOo
 uvDVntW4ekVoqKfCkp9A07gPJLAAQJuN/rD11pmCjRWr/2rM4IRYjAPRsa0P3kdb2vsP
 a2XweIWw6VAwaLaZWRsNoI79fZGItKdaOKSrnO9CLRH0m9UyywWKFua5G23H6DUrFbzZ
 siChNh4gd+XZ74h+3Ux1Ae/FmTIkk5tXlO/IAYf8FR58tjHDlzvlN3+1IRYJ789LRZSG
 CxQ35Vu3g9WO0RkokD2Zx3D2Cey5/TBFBjcfVtskb5fZDSRdxZXUg/CE4PbDpNZ1rqku
 j3SQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=bhkXAgBQB4bUs9IMamx8hK6Gan7hZIW9FpmOXmLp7H8=;
 b=mqOPUfdBRCV0umOoKgajcxOwUNPQV09FsUFCO63RZqI/kzzHFrmXo+ZgnJGnapTP2L
 w2N3BdIH8XkSG02GiHVZIgSpV3YcG3Mkp45eJOS5Pvge491XgHP6tl4QlmNU4h+A+2le
 fnzYoPP2W1uZj5oBtKhK/a3SBRlmNNsNBlPZFMQ1BibzfBko9fRnnrA6qFWIoGth6nhK
 e4QGJWcZo/N3IX8H09P9fkAv/fTgBeTJsMGl8oklY1wmwOq3t8pGhzl+duCGGmdtDzA4
 7L8KDwhQdZKL0n3eNKnQoj3W9B9hReHP3wi8agYCBPqth/OTcyWmZGIojcDXBbtwlfW1
 VYRw==
X-Gm-Message-State: APt69E24fVXXf5bp8m4a7Pxqus3B3azliRb+T/MslIcsnccIy6G40ntc
 2lEq1xqSvV99phqHkdZhAtTi5a+HImz+2m46guw=
X-Google-Smtp-Source: ADUXVKK7mgbLtj55GnDy+x7w3e/x1H5iQK1bmfO8FLAkL+iLVkoE+L2mz6ZUU3Wm9vhSR8eSg4BtOczpvUsTxV/GKVo=
X-Received: by 2002:adf:96c4:: with SMTP id
 u62-v6mr23901223wrb.204.1529619901792; 
 Thu, 21 Jun 2018 15:25:01 -0700 (PDT)
MIME-Version: 1.0
References: <B3491CF9-A0C3-4056-8ED2-B2B60C85D7AD@HIDDEN>
 <20180617110029.GA45782@HIDDEN>
In-Reply-To: <20180617110029.GA45782@HIDDEN>
From: Tim Harper <timcharper@HIDDEN>
Date: Thu, 21 Jun 2018 16:24:50 -0600
Message-ID: <CAFQ1bMDefL9-_a38KeQfQLEXBn2_CaVTt+VDVDkLFckGSi02jA@HIDDEN>
Subject: Re: bug#31848: 26.1; M-x server-start crashes if extraneous server
 file exists
To: Alan Third <alan@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000e34747056f2e62c2"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31848
Cc: 31848 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000e34747056f2e62c2
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

It is probably an OS X only crash.

Emacs won't write the file unless if server-use-tcp is enabled. Customize
it, enable server-use-tcp (set to true), save for future sessions. Restart
emacs. Launch server. If the folder doesn't exist, Emacs will create it and
assign 700 perms.

I've reproduced with a vanilla configuration of Emacs to rule out the
possibility it is a conflict with some other extension I've installed.

Tim

On Sun, Jun 17, 2018 at 5:00 AM Alan Third <alan@HIDDEN> wrote:

> On Fri, Jun 15, 2018 at 11:15:05AM -0600, Tim Harper wrote:
> > Emacs on OS X crashes when stale server auth file is present. To
> reproduce:
> >
> > 1) Start Emacs 26.1
> > 2) Run server-start
> > 3) Copy the file `server` in the {server-auth-dir} folder to `server-2`
> > 4) Quit Emacs
> > 5) Rename `server-2` file to `server`
> > 6) Relaunch Emacs
> > 7) Run server-start
> > 8) Observe crash
>
> I=E2=80=99m probably being daft, but I can=E2=80=99t find any =E2=80=98se=
rver=E2=80=99 file when I=E2=80=99m
> running the emacs server.
>
> The directory listed in server-auth-dir doesn=E2=80=99t even exist.
> --
> Alan Third
>

--000000000000e34747056f2e62c2
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>It is probably an OS X only crash.</div><div><br></di=
v><div>Emacs won&#39;t write the file unless if server-use-tcp is enabled. =
Customize it, enable server-use-tcp (set to true), save for future sessions=
. Restart emacs. Launch server. If the folder doesn&#39;t exist, Emacs will=
 create it and assign 700 perms.</div><div><br></div>I&#39;ve reproduced wi=
th a vanilla configuration of Emacs to rule out the possibility it is a con=
flict with some other extension I&#39;ve installed.<div><br></div><div>Tim<=
/div><div><br><div class=3D"gmail_quote"><div dir=3D"ltr">On Sun, Jun 17, 2=
018 at 5:00 AM Alan Third &lt;<a href=3D"mailto:alan@HIDDEN" target=3D"=
_blank">alan@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_=
quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1=
ex">On Fri, Jun 15, 2018 at 11:15:05AM -0600, Tim Harper wrote:<br>
&gt; Emacs on OS X crashes when stale server auth file is present. To repro=
duce:<br>
&gt; <br>
&gt; 1) Start Emacs 26.1<br>
&gt; 2) Run server-start<br>
&gt; 3) Copy the file `server` in the {server-auth-dir} folder to `server-2=
`<br>
&gt; 4) Quit Emacs<br>
&gt; 5) Rename `server-2` file to `server`<br>
&gt; 6) Relaunch Emacs<br>
&gt; 7) Run server-start<br>
&gt; 8) Observe crash<br>
<br>
I=E2=80=99m probably being daft, but I can=E2=80=99t find any =E2=80=98serv=
er=E2=80=99 file when I=E2=80=99m<br>
running the emacs server.<br>
<br>
The directory listed in server-auth-dir doesn=E2=80=99t even exist.<br>
-- <br>
Alan Third<br>
</blockquote></div></div></div>

--000000000000e34747056f2e62c2--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31848; Package emacs. Full text available.

Message received at 31848 <at> debbugs.gnu.org:


Received: (at 31848) by debbugs.gnu.org; 17 Jun 2018 11:00:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 17 07:00:39 2018
Received: from localhost ([127.0.0.1]:52594 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fUVQF-0001Xr-1e
	for submit <at> debbugs.gnu.org; Sun, 17 Jun 2018 07:00:39 -0400
Received: from mail-wm0-f41.google.com ([74.125.82.41]:52048)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1fUVQE-0001Xf-3O
 for 31848 <at> debbugs.gnu.org; Sun, 17 Jun 2018 07:00:38 -0400
Received: by mail-wm0-f41.google.com with SMTP id r15-v6so9708601wmc.1
 for <31848 <at> debbugs.gnu.org>; Sun, 17 Jun 2018 04:00:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=N5iiW0o8KWv3rsoaHR49rrzvaJRTzOfrzm8rHFfIiVQ=;
 b=mc8A1AhSfoZ+Qm2GxlQ+m2taHeGFAKmo9ieg6vs418Unb6t1/pfVRTfYWyHKiUKKGR
 mWWWv0zPSkHFAZpn4RPp4CeWpc656eXjuftdnpV1qgJuVecaAnaNczkcNLcir34C76P0
 rkGPYvznokvtjvQ+Wkv4+wGlx1esWbRaBe4lmtcPfaFMTd/UfLRS41708/7y2pSS3AtQ
 R6f8P14KxCEe7YZJ+EB0BUvzaakS3v5IoE6UC/3EaRZBGdYeuY71mPEY5CTSPZb8t31I
 8xgCKs9Vlxy48JUtf3j6N+BGlVNzEJLYJVVnDa33X4UYuYDOtzBLMLvqsx1O8T90gRbm
 KOMQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=N5iiW0o8KWv3rsoaHR49rrzvaJRTzOfrzm8rHFfIiVQ=;
 b=W/lWDIM0lzjjhd6XFn/oBXfqE4cH6nt37K+Ep1YbO8Kp2UVRTbmRjxDIHMD5pPEVw/
 ZtauW036oOZGK8PHiGXrHhsm3hbVSXUOBkHrIpiWvypdPPWz3mCYTjB/Glv+Yug4rgbX
 fjMav3/XHzB/tmD9r3v4U8DMnj86AXw8+9YabnyU1k92DOUvWk2S4RodDNRpUKbB0OfV
 FkMCxerLaYYyt6/mJ1Wn5Wm2/scZouOMxHIfi7b0JxsDNVZWgWPKisx9AuSlHYbEW5PU
 RVzWilh/IqhbBYQfyg+/rDBOOfpGM+vYgUXKB7IDQM/tbZank6zzbjoJEKoUDMEZ39CF
 s4Og==
X-Gm-Message-State: APt69E201uFmLQ/Se5dzkOzJavonGtCJS9luW+UNr0+8v2U6nTwCh6Ds
 wdedoiZaf20ur9il608V1Tk=
X-Google-Smtp-Source: ADUXVKJUNGdrUEGaivKf1X7B6ANAOl1xd7XAQXACR+o3K2Yp1FWLZDu95hs8UIKO4dCcf+8GPin02Q==
X-Received: by 2002:a1c:934e:: with SMTP id
 v75-v6mr6396579wmd.52.1529233232027; 
 Sun, 17 Jun 2018 04:00:32 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-2050-339f-0e48-d89b.holly.idiocy.org.
 [2001:8b0:3f8:8129:2050:339f:e48:d89b])
 by smtp.gmail.com with ESMTPSA id w24-v6sm4648233wmc.15.2018.06.17.04.00.30
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 17 Jun 2018 04:00:30 -0700 (PDT)
Date: Sun, 17 Jun 2018 12:00:29 +0100
From: Alan Third <alan@HIDDEN>
To: Tim Harper <timcharper@HIDDEN>
Subject: Re: bug#31848: 26.1; M-x server-start crashes if extraneous server
 file exists
Message-ID: <20180617110029.GA45782@HIDDEN>
References: <B3491CF9-A0C3-4056-8ED2-B2B60C85D7AD@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <B3491CF9-A0C3-4056-8ED2-B2B60C85D7AD@HIDDEN>
User-Agent: Mutt/1.10.0 (2018-05-17)
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 31848
Cc: 31848 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Fri, Jun 15, 2018 at 11:15:05AM -0600, Tim Harper wrote:
> Emacs on OS X crashes when stale server auth file is present. To reproduce:
> 
> 1) Start Emacs 26.1
> 2) Run server-start
> 3) Copy the file `server` in the {server-auth-dir} folder to `server-2`
> 4) Quit Emacs
> 5) Rename `server-2` file to `server`
> 6) Relaunch Emacs
> 7) Run server-start
> 8) Observe crash

I’m probably being daft, but I can’t find any ‘server’ file when I’m
running the emacs server.

The directory listed in server-auth-dir doesn’t even exist.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31848; Package emacs. Full text available.

Message received at 31848 <at> debbugs.gnu.org:


Received: (at 31848) by debbugs.gnu.org; 15 Jun 2018 18:21:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 15 14:21:08 2018
Received: from localhost ([127.0.0.1]:50650 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fTtLP-0007Zx-Vj
	for submit <at> debbugs.gnu.org; Fri, 15 Jun 2018 14:21:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fTtLP-0007ZK-5r
 for 31848 <at> debbugs.gnu.org; Fri, 15 Jun 2018 14:21:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fTtLG-00060B-5Y
 for 31848 <at> debbugs.gnu.org; Fri, 15 Jun 2018 14:21:02 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:52042)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fTtLG-0005zk-1w; Fri, 15 Jun 2018 14:20:58 -0400
Received: from [176.228.60.248] (port=2007 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fTtLF-0001VP-Gd; Fri, 15 Jun 2018 14:20:57 -0400
Date: Fri, 15 Jun 2018 21:20:46 +0300
Message-Id: <83lgbf29oh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Tim Harper <timcharper@HIDDEN>
In-reply-to: <B3491CF9-A0C3-4056-8ED2-B2B60C85D7AD@HIDDEN> (message from
 Tim Harper on Fri, 15 Jun 2018 11:15:05 -0600)
Subject: Re: bug#31848: 26.1;
 M-x server-start crashes if extraneous server file exists
References: <B3491CF9-A0C3-4056-8ED2-B2B60C85D7AD@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31848
Cc: 31848 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Tim Harper <timcharper@HIDDEN>
> Date: Fri, 15 Jun 2018 11:15:05 -0600
> 
> Emacs on OS X crashes when stale server auth file is present. To reproduce:
> 
> 1) Start Emacs 26.1
> 2) Run server-start
> 3) Copy the file `server` in the {server-auth-dir} folder to `server-2`
> 4) Quit Emacs
> 5) Rename `server-2` file to `server`
> 6) Relaunch Emacs
> 7) Run server-start
> 8) Observe crash

It doesn't crash here, but I'm not on macOS.

> Crash report:
> 
> Process:               Emacs-x86_64-10_10 [54595]
> Path:                  /Applications/Emacs.app/Contents/MacOS/Emacs-x86_64-10_10
> Identifier:            org.gnu.Emacs
> Version:               Version 26.1 (9.0)
> Code Type:             X86-64 (Native)
> Parent Process:        ??? [1]
> Responsible:           Emacs-x86_64-10_10 [54595]
> User ID:               501
> 
> Date/Time:             2018-06-15 11:11:33.871 -0600
> OS Version:            Mac OS X 10.13.4 (17E199)
> Report Version:        12
> Anonymous UUID:        FAFB472E-6635-1BF9-3A87-39490D81E931
> 
> Sleep/Wake UUID:       62FC5A60-36B2-453C-832A-C3FD5AA072DE
> 
> Time Awake Since Boot: 180000 seconds
> Time Since Wake:       12000 seconds
> 
> System Integrity Protection: disabled
> 
> Crashed Thread:        0  Dispatch queue: com.apple.main-thread
> 
> Exception Type:        EXC_BAD_ACCESS (SIGABRT)
> Exception Codes:       KERN_INVALID_ADDRESS at 0x000000000000003f
> Exception Note:        EXC_CORPSE_NOTIFY
> 
> VM Regions Near 0x3f:
> --> 
>     __TEXT                 0000000100000000-0000000100233000 [ 2252K] r-x/rwx SM=COW  /Applications/Emacs.app/Contents/MacOS/Emacs-x86_64-10_10
> 
> Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
> 0   libsystem_kernel.dylib        	0x00007fff654e5b6e __pthread_kill + 10
> 1   libsystem_pthread.dylib       	0x00007fff656b0080 pthread_kill + 333
> 2   libsystem_c.dylib             	0x00007fff653f36fe raise + 26
> 3   Emacs-x86_64-10_10            	0x00000001000c0a81 terminate_due_to_signal + 161
> 4   Emacs-x86_64-10_10            	0x00000001000dde43 emacs_abort + 19
> 5   Emacs-x86_64-10_10            	0x00000001001c4a0c ns_term_shutdown + 124
> 6   Emacs-x86_64-10_10            	0x00000001000c0c55 shut_down_emacs + 261
> 7   Emacs-x86_64-10_10            	0x00000001000c0a46 terminate_due_to_signal + 102
> 8   Emacs-x86_64-10_10            	0x00000001000df736 deliver_fatal_thread_signal + 134
> 9   Emacs-x86_64-10_10            	0x00000001000e0b8a handle_sigsegv + 170
> 10  libsystem_platform.dylib      	0x00007fff656a3f5a _sigtramp + 26
> 11  ???                           	000000000000000000 0 + 0
> 12  Emacs-x86_64-10_10            	0x0000000100146a67 funcall_subr + 247
> 13  Emacs-x86_64-10_10            	0x0000000100146114 Ffuncall + 740

Can you tell what Lisp function is being called here?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31848; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Jun 2018 17:30:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 15 13:30:48 2018
Received: from localhost ([127.0.0.1]:50626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fTsYf-0006PZ-NV
	for submit <at> debbugs.gnu.org; Fri, 15 Jun 2018 13:30:48 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33975)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <timcharper@HIDDEN>) id 1fTsK1-00062p-Mc
 for submit <at> debbugs.gnu.org; Fri, 15 Jun 2018 13:15:39 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <timcharper@HIDDEN>) id 1fTsJp-0006pc-Kt
 for submit <at> debbugs.gnu.org; Fri, 15 Jun 2018 13:15:32 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53498)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <timcharper@HIDDEN>)
 id 1fTsJp-0006pR-FS
 for submit <at> debbugs.gnu.org; Fri, 15 Jun 2018 13:15:25 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53152)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <timcharper@HIDDEN>) id 1fTsJj-0005gG-3f
 for bug-gnu-emacs@HIDDEN; Fri, 15 Jun 2018 13:15:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <timcharper@HIDDEN>) id 1fTsJb-0006cd-9h
 for bug-gnu-emacs@HIDDEN; Fri, 15 Jun 2018 13:15:19 -0400
Received: from mail-pl0-x234.google.com ([2607:f8b0:400e:c01::234]:45416)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <timcharper@HIDDEN>)
 id 1fTsJa-0006Zw-PW
 for bug-gnu-emacs@HIDDEN; Fri, 15 Jun 2018 13:15:11 -0400
Received: by mail-pl0-x234.google.com with SMTP id c23-v6so5661979plz.12
 for <bug-gnu-emacs@HIDDEN>; Fri, 15 Jun 2018 10:15:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:content-transfer-encoding:mime-version:subject:message-id:date
 :to; bh=JZn89scndvfbidL4a+6+EUsdOMsbWK7Hsv15ZD61PNs=;
 b=Au2yb8vO6K5X9zlF2/lHczEScxX0KpCVMxJxqiSS7/U2wWMsEUEvUFPel0zLCT4p5a
 GomabvQnZQc/JFKffuhBM4NCIEJMnrSyx5wTr3hqsD3usw5RBQjT+GqW++atjW4xUewr
 e6Pp9ZfJIupE+dthXG5XdMyVDv2mAtVePBthIct4WU+Lyy5gFWvbrtbtBpnp6Haszcek
 lCxFrr84jbqjpGOoGY9cgGHT5BRlcFTAotEs9fTt4uYQFJk/hEzETLcDBB6AqwE/yaYL
 0XAvMmM14Ye1N/vJqHO09QUKeScrkrb961Hik6rAwF7+T7pBgf0NPpOdkmm6+41WBbLO
 iPFA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:content-transfer-encoding:mime-version
 :subject:message-id:date:to;
 bh=JZn89scndvfbidL4a+6+EUsdOMsbWK7Hsv15ZD61PNs=;
 b=o7MXfkh4H05K2uavkqRlTNC8rsENa/lEsnP7QtP4A9Cy7dRt0XEAiI9KK68peWCBIg
 nYQaVR+AZ/BNlPFdPRhSfsg4DusuEVE/uVrsmCjNudhWAHNGkwNsUsD1OZ/KR4MbSQCJ
 DYpLMHRWv6UgJzwm2dK1L9JKIzD2siS7ffEKauxWxBlkoFr6NiANZBl7u83dTcviEc46
 tg62NfAqsJNzCg9NKyUf0IDRDTVIZw2iwnEa6pTv+7yFbxbM8BQnvaWizbqx6N5FjMfQ
 zB8zvZQYh6tfpMKsmRsh3N8wWiiiShnwYyECt6AfIe8FuSyqSl58hiwhZl1/yo4LA+YG
 7q1w==
X-Gm-Message-State: APt69E3MShcn90mYV1H8qCOoUGCFmhkrx2S5wZVwkKWEOUvwDzeTwORC
 iJrkpWQaSeTLqY7wDA8IQfAtdjIx
X-Google-Smtp-Source: ADUXVKIHsj+s7Xs+rg0a8kvoSI03UpTdwunmt7eLaxrpSbUyqqLtcBIsYfppq6dVpOlVeD5+uGXiBA==
X-Received: by 2002:a17:902:145:: with SMTP id
 63-v6mr3038001plb.332.1529082907963; 
 Fri, 15 Jun 2018 10:15:07 -0700 (PDT)
Received: from bastion.lan (c-71-195-213-54.hsd1.ut.comcast.net.
 [71.195.213.54])
 by smtp.gmail.com with ESMTPSA id e24-v6sm11445718pfi.70.2018.06.15.10.15.06
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 15 Jun 2018 10:15:06 -0700 (PDT)
From: Tim Harper <timcharper@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 11.3 \(3445.6.18\))
Subject: 26.1; M-x server-start crashes if extraneous server file exists
Message-Id: <B3491CF9-A0C3-4056-8ED2-B2B60C85D7AD@HIDDEN>
Date: Fri, 15 Jun 2018 11:15:05 -0600
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3445.6.18)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 15 Jun 2018 13:30:42 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Emacs on OS X crashes when stale server auth file is present. To =
reproduce:

1) Start Emacs 26.1
2) Run server-start
3) Copy the file `server` in the {server-auth-dir} folder to `server-2`
4) Quit Emacs
5) Rename `server-2` file to `server`
6) Relaunch Emacs
7) Run server-start
8) Observe crash




Crash report:

Process:               Emacs-x86_64-10_10 [54595]
Path:                  =
/Applications/Emacs.app/Contents/MacOS/Emacs-x86_64-10_10
Identifier:            org.gnu.Emacs
Version:               Version 26.1 (9.0)
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           Emacs-x86_64-10_10 [54595]
User ID:               501

Date/Time:             2018-06-15 11:11:33.871 -0600
OS Version:            Mac OS X 10.13.4 (17E199)
Report Version:        12
Anonymous UUID:        FAFB472E-6635-1BF9-3A87-39490D81E931

Sleep/Wake UUID:       62FC5A60-36B2-453C-832A-C3FD5AA072DE

Time Awake Since Boot: 180000 seconds
Time Since Wake:       12000 seconds

System Integrity Protection: disabled

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_BAD_ACCESS (SIGABRT)
Exception Codes:       KERN_INVALID_ADDRESS at 0x000000000000003f
Exception Note:        EXC_CORPSE_NOTIFY

VM Regions Near 0x3f:
-->=20
    __TEXT                 0000000100000000-0000000100233000 [ 2252K] =
r-x/rwx SM=3DCOW  =
/Applications/Emacs.app/Contents/MacOS/Emacs-x86_64-10_10

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff654e5b6e =
__pthread_kill + 10
1   libsystem_pthread.dylib       	0x00007fff656b0080 pthread_kill =
+ 333
2   libsystem_c.dylib             	0x00007fff653f36fe raise + 26
3   Emacs-x86_64-10_10            	0x00000001000c0a81 =
terminate_due_to_signal + 161
4   Emacs-x86_64-10_10            	0x00000001000dde43 emacs_abort + =
19
5   Emacs-x86_64-10_10            	0x00000001001c4a0c =
ns_term_shutdown + 124
6   Emacs-x86_64-10_10            	0x00000001000c0c55 =
shut_down_emacs + 261
7   Emacs-x86_64-10_10            	0x00000001000c0a46 =
terminate_due_to_signal + 102
8   Emacs-x86_64-10_10            	0x00000001000df736 =
deliver_fatal_thread_signal + 134
9   Emacs-x86_64-10_10            	0x00000001000e0b8a =
handle_sigsegv + 170
10  libsystem_platform.dylib      	0x00007fff656a3f5a _sigtramp + =
26
11  ???                           	000000000000000000 0 + 0
12  Emacs-x86_64-10_10            	0x0000000100146a67 funcall_subr =
+ 247
13  Emacs-x86_64-10_10            	0x0000000100146114 Ffuncall + =
740
14  Emacs-x86_64-10_10            	0x00000001001888c8 =
exec_byte_code + 2248
15  Emacs-x86_64-10_10            	0x00000001001460b5 Ffuncall + =
645
16  Emacs-x86_64-10_10            	0x00000001001888c8 =
exec_byte_code + 2248
17  Emacs-x86_64-10_10            	0x00000001001460b5 Ffuncall + =
645
18  Emacs-x86_64-10_10            	0x000000010013f846 =
Ffuncall_interactively + 70
19  Emacs-x86_64-10_10            	0x0000000100146114 Ffuncall + =
740
20  Emacs-x86_64-10_10            	0x00000001001410ff =
Fcall_interactively + 6303
21  Emacs-x86_64-10_10            	0x0000000100146a8b funcall_subr =
+ 283
22  Emacs-x86_64-10_10            	0x0000000100146114 Ffuncall + =
740
23  Emacs-x86_64-10_10            	0x00000001001888c8 =
exec_byte_code + 2248
24  Emacs-x86_64-10_10            	0x00000001001460b5 Ffuncall + =
645
25  Emacs-x86_64-10_10            	0x00000001001888c8 =
exec_byte_code + 2248
26  Emacs-x86_64-10_10            	0x00000001001460b5 Ffuncall + =
645
27  Emacs-x86_64-10_10            	0x000000010013f846 =
Ffuncall_interactively + 70
28  Emacs-x86_64-10_10            	0x0000000100146114 Ffuncall + =
740
29  Emacs-x86_64-10_10            	0x0000000100145c4f Fapply + 575
30  Emacs-x86_64-10_10            	0x00000001001400ba =
Fcall_interactively + 2138
31  Emacs-x86_64-10_10            	0x0000000100146a8b funcall_subr =
+ 283
32  Emacs-x86_64-10_10            	0x0000000100146114 Ffuncall + =
740
33  Emacs-x86_64-10_10            	0x00000001001888c8 =
exec_byte_code + 2248
34  Emacs-x86_64-10_10            	0x00000001001460b5 Ffuncall + =
645
35  Emacs-x86_64-10_10            	0x00000001001466cd call1 + 45
36  Emacs-x86_64-10_10            	0x00000001000c4b73 =
command_loop_1 + 1987
37  Emacs-x86_64-10_10            	0x0000000100144907 =
internal_condition_case + 87
38  Emacs-x86_64-10_10            	0x00000001000d59b0 =
command_loop_2 + 48
39  Emacs-x86_64-10_10            	0x00000001001441ae =
internal_catch + 78
40  Emacs-x86_64-10_10            	0x00000001000c3a5e command_loop =
+ 158
41  Emacs-x86_64-10_10            	0x00000001000c3982 =
recursive_edit_1 + 130
42  Emacs-x86_64-10_10            	0x00000001000c3ba5 =
Frecursive_edit + 229
43  Emacs-x86_64-10_10            	0x00000001000c25a2 main + 6370
44  libdyld.dylib                 	0x00007fff65395015 start + 1

Thread 1:
0   libsystem_kernel.dylib        	0x00007fff654e6292 =
__workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff656ad20e =
_pthread_wqthread + 1552
2   libsystem_pthread.dylib       	0x00007fff656acbe9 =
start_wqthread + 13

Thread 2:
0   libsystem_kernel.dylib        	0x00007fff654e6292 =
__workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff656ad20e =
_pthread_wqthread + 1552
2   libsystem_pthread.dylib       	0x00007fff656acbe9 =
start_wqthread + 13

Thread 3:
0   libsystem_kernel.dylib        	0x00007fff654e6292 =
__workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff656ad20e =
_pthread_wqthread + 1552
2   libsystem_pthread.dylib       	0x00007fff656acbe9 =
start_wqthread + 13

Thread 4:
0   libsystem_kernel.dylib        	0x00007fff654e6292 =
__workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff656ad20e =
_pthread_wqthread + 1552
2   libsystem_pthread.dylib       	0x00007fff656acbe9 =
start_wqthread + 13

Thread 5:
0   libsystem_kernel.dylib        	0x00007fff654e5cfa __select + 10
1   Emacs-x86_64-10_10            	0x00000001001c605f -[EmacsApp =
fd_handler:] + 255
2   com.apple.Foundation          	0x00007fff3f17d1f8 =
__NSThread__start__ + 1197
3   libsystem_pthread.dylib       	0x00007fff656ad661 _pthread_body =
+ 340
4   libsystem_pthread.dylib       	0x00007fff656ad50d =
_pthread_start + 377
5   libsystem_pthread.dylib       	0x00007fff656acbf9 thread_start =
+ 13

Thread 6:
0   libsystem_pthread.dylib       	0x00007fff656acbdc =
start_wqthread + 0
1   ???                           	0x6e496d656d685373 0 + =
7947003299866628979

Thread 7:
0   libsystem_pthread.dylib       	0x00007fff656acbdc =
start_wqthread + 0
1   ???                           	0x4058504320000000 0 + =
4636544065607827456

Thread 8:: com.apple.NSEventThread
0   libsystem_kernel.dylib        	0x00007fff654dc20a mach_msg_trap =
+ 10
1   libsystem_kernel.dylib        	0x00007fff654db724 mach_msg + 60
2   com.apple.CoreFoundation      	0x00007fff3d0807d5 =
__CFRunLoopServiceMachPort + 341
3   com.apple.CoreFoundation      	0x00007fff3d07fb27 =
__CFRunLoopRun + 1783
4   com.apple.CoreFoundation      	0x00007fff3d07f1a3 =
CFRunLoopRunSpecific + 483
5   com.apple.AppKit              	0x00007fff3a757fc4 =
_NSEventThread + 184
6   libsystem_pthread.dylib       	0x00007fff656ad661 _pthread_body =
+ 340
7   libsystem_pthread.dylib       	0x00007fff656ad50d =
_pthread_start + 377
8   libsystem_pthread.dylib       	0x00007fff656acbf9 thread_start =
+ 13

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x00007fff9d9c5380  rcx: =
0x000000010063c8e8  rdx: 0x0000000000000000
  rdi: 0x0000000000000307  rsi: 0x0000000000000006  rbp: =
0x000000010063c920  rsp: 0x000000010063c8e8
   r8: 0x000000000000007f   r9: 0x0000000100c29850  r10: =
0x0000000000000000  r11: 0x0000000000000287
  r12: 0x0000000000000307  r13: 0x2000000000000000  r14: =
0x0000000000000006  r15: 0x000000000000002d
  rip: 0x00007fff654e5b6e  rfl: 0x0000000000000286  cr2: =
0x000000010063b868
 =20
Logical CPU:     0
Error Code:      0x02000148
Trap Number:     133


Binary Images:
       0x100000000 -        0x100232fff +Emacs-x86_64-10_10 (0) =
<C24569D7-F10F-364F-BAB0-494EFFC1EB13> =
/Applications/Emacs.app/Contents/MacOS/Emacs-x86_64-10_10
       0x100755000 -        0x10084cfe7 +libgnutls.30.dylib (0) =
<0DAF3408-FD4C-3CF9-8853-BF04786FF9B5> =
/Applications/Emacs.app/Contents/MacOS/lib-x86_64-10_10/libgnutls.30.dylib=

       0x100889000 -        0x1009f3ff7 +libunistring.2.dylib (0) =
<8C0304FD-F1D5-3EC0-A30A-9872CE569F6C> =
/Applications/Emacs.app/Contents/MacOS/lib-x86_64-10_10/libunistring.2.dyl=
ib
       0x100a0a000 -        0x100a16fff +libtasn1.6.dylib (0) =
<E3E93C6E-3AD3-344C-9325-937A6AA12F36> =
/Applications/Emacs.app/Contents/MacOS/lib-x86_64-10_10/libtasn1.6.dylib
       0x100a1c000 -        0x100a43ff7 +libnettle.6.dylib (0) =
<ADE15813-7D4E-3A01-B167-71611BDCFD40> =
/Applications/Emacs.app/Contents/MacOS/lib-x86_64-10_10/libnettle.6.dylib
       0x100a50000 -        0x100a78ff7 +libhogweed.4.dylib (0) =
<0227F6EC-051C-391A-8086-3891B8C55113> =
/Applications/Emacs.app/Contents/MacOS/lib-x86_64-10_10/libhogweed.4.dylib=

       0x100a83000 -        0x100ae3fef +libgmp.10.dylib (0) =
<F9F31BC2-111B-36F0-8EEC-91D7118CAD50> =
/Applications/Emacs.app/Contents/MacOS/lib-x86_64-10_10/libgmp.10.dylib
       0x10304e000 -        0x1030989df  dyld (551.3) =
<AFAB4EFA-7020-34B1-BBEF-0F26C6D3CA36> /usr/lib/dyld
       0x10b800000 -        0x10bc7afff  =
com.nvidia.web.GeForceMTLDriverWeb (10.31.25 - 10.3.1) =
<D002853E-3C0A-3141-AC2B-BB46C28A78E7> =
/System/Library/Extensions/GeForceMTLDriverWeb.bundle/Contents/MacOS/GeFor=
ceMTLDriverWeb
    0x7fff355b3000 -     0x7fff35901fff  com.apple.RawCamera.bundle =
(8.03.0 - 1017.3.4) <FC6A4AFD-2F60-3006-9C42-577F62F9B2A4> =
/System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
    0x7fff37182000 -     0x7fff3736dfff  =
com.apple.driver.AppleIntelSKLGraphicsMTLDriver (10.32.48 - 10.3.2) =
<60F2ACC1-3A71-3BB6-96C4-61AA45429930> =
/System/Library/Extensions/AppleIntelSKLGraphicsMTLDriver.bundle/Contents/=
MacOS/AppleIntelSKLGraphicsMTLDriver
    0x7fff39574000 -     0x7fff39574fff  com.apple.Accelerate (1.11 - =
Accelerate 1.11) <8632A9C5-19EA-3FD7-A44D-80765CC9C540> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff39575000 -     0x7fff3958bfef  libCGInterfaces.dylib (417.2) =
<ED0EAE3C-D963-3DF7-A408-4F00FF1C8C34> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vIma=
ge.framework/Versions/A/Libraries/libCGInterfaces.dylib
    0x7fff3958c000 -     0x7fff39a8afc3  com.apple.vImage (8.1 - ???) =
<A243A7EF-0C8E-3A9A-AA38-44AFD7507F00> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vIma=
ge.framework/Versions/A/vImage
    0x7fff39a8b000 -     0x7fff39be5fe3  libBLAS.dylib (1211.50.2) =
<62C659EB-3E32-3B5F-83BF-79F5DF30D5CE> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libBLAS.dylib
    0x7fff39be6000 -     0x7fff39c14fef  libBNNS.dylib (38.1) =
<7BAEFDCA-3227-3E07-80D8-59B6370B89C6> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libBNNS.dylib
    0x7fff39c15000 -     0x7fff39fd4ff7  libLAPACK.dylib (1211.50.2) =
<40ADBA5F-8B2D-30AC-A7AD-7B17C37EE52D> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libLAPACK.dylib
    0x7fff39fd5000 -     0x7fff39feaff7  libLinearAlgebra.dylib =
(1211.50.2) <E8E0B7FD-A0B7-31E5-AF01-81781F71EBBE> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libLinearAlgebra.dylib
    0x7fff39feb000 -     0x7fff39ff0ff3  libQuadrature.dylib (3) =
<3D6BF66A-55B2-3692-BAC7-DEB0C676ED29> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libQuadrature.dylib
    0x7fff39ff1000 -     0x7fff3a071fff  libSparse.dylib (79.50.2) =
<0DC25CDD-F8C1-3D6E-B472-8B060708424F> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libSparse.dylib
    0x7fff3a072000 -     0x7fff3a085fff  libSparseBLAS.dylib (1211.50.2) =
<722573CC-31CC-34B2-9032-E4F652A9CCFE> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libSparseBLAS.dylib
    0x7fff3a086000 -     0x7fff3a233fc3  libvDSP.dylib (622.50.5) =
<40690941-CF89-3F90-A0AC-A4D200744A5D> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libvDSP.dylib
    0x7fff3a234000 -     0x7fff3a2e5fff  libvMisc.dylib (622.50.5) =
<BA2532DF-2D68-3DD0-9B59-D434BF702AA4> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/libvMisc.dylib
    0x7fff3a2e6000 -     0x7fff3a2e6fff  com.apple.Accelerate.vecLib =
(3.11 - vecLib 3.11) <54FF3B43-E66C-3F36-B34B-A2B3B0A36502> =
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecL=
ib.framework/Versions/A/vecLib
    0x7fff3a5d9000 -     0x7fff3b437fff  com.apple.AppKit (6.9 - =
1561.40.112) <C839B0C1-F7EE-3056-985C-63CF1A030EC4> =
/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff3b489000 -     0x7fff3b489fff  com.apple.ApplicationServices =
(48 - 50) <8DA47D38-B07B-3AE2-B343-4579864430C6> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Applic=
ationServices
    0x7fff3b48a000 -     0x7fff3b4f0fff  =
com.apple.ApplicationServices.ATS (377 - 445.3) =
<000C4E9F-E0D9-371D-B304-83BA37460724> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/ATS
    0x7fff3b589000 -     0x7fff3b6abfff  libFontParser.dylib (222.1.4) =
<FF68FAF6-70BB-3E39-A263-E17B6F5E00D0> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff3b6ac000 -     0x7fff3b6f6ff7  libFontRegistry.dylib (221.3) =
<C84F7112-4764-3F4B-9FBA-4A022CF6346B> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff3b79b000 -     0x7fff3b7ceff7  libTrueTypeScaler.dylib =
(222.1.4) <4734ECD6-6F41-3A16-AE35-265BDC1572C5> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
    0x7fff3b838000 -     0x7fff3b83cff3  com.apple.ColorSyncLegacy =
(4.13.0 - 1) <A5FB2694-1559-34A8-A3D3-2029F68A63CA> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/ColorSyncLegacy.framework/Versions/A/ColorSyncLegacy
    0x7fff3b8dc000 -     0x7fff3b92effb  com.apple.HIServices (1.22 - =
624) <828E189A-62F9-3961-8A89-22F508870CC5> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/HIServices.framework/Versions/A/HIServices
    0x7fff3b92f000 -     0x7fff3b93dfff  com.apple.LangAnalysis (1.7.0 - =
1.7.0) <B65FF7E6-E9B5-34D8-8CA7-63D415A8A9A6> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff3b93e000 -     0x7fff3b98afff  =
com.apple.print.framework.PrintCore (13.4 - 503.2) =
<B90C67C1-0292-3CEC-885D-F1882CD104BE> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/PrintCore.framework/Versions/A/PrintCore
    0x7fff3b98b000 -     0x7fff3b9c5fff  com.apple.QD (3.12 - 404.2) =
<38B20AFF-9D54-3B52-A6DC-C0D71380AA5F> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/QD.framework/Versions/A/QD
    0x7fff3b9c6000 -     0x7fff3b9d2fff  =
com.apple.speech.synthesis.framework (7.5.1 - 7.5.1) =
<84ADDF38-36F1-3D3B-B28D-8865FA10FCD7> =
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Framew=
orks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff3b9d3000 -     0x7fff3bc60ff7  =
com.apple.audio.toolbox.AudioToolbox (1.14 - 1.14) =
<87D81714-F167-39F5-B5E7-A7A432EDAB5B> =
/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff3bc62000 -     0x7fff3bc62fff  com.apple.audio.units.AudioUnit =
(1.14 - 1.14) <513C9A4B-4F6D-3A21-921F-2CA101B97830> =
/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff3bf84000 -     0x7fff3c31eff7  com.apple.CFNetwork (897.15 - =
897.15) <0C03AF39-3527-3E0D-8413-8E1B2A962F0D> =
/System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff3c338000 -     0x7fff3c63dfff  com.apple.HIToolbox (2.1.1 - =
911.10) <BF7F9C0E-C732-3FB2-9BBC-362888BDA57B> =
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbo=
x.framework/Versions/A/HIToolbox
    0x7fff3c648000 -     0x7fff3c6ddffb  com.apple.ink.framework (10.9 - =
221) <5206C8B0-22DA-36C9-998E-846EDB626D5B> =
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.fram=
ework/Versions/A/Ink
    0x7fff3c71e000 -     0x7fff3c724fff  =
com.apple.speech.recognition.framework (6.0.3 - 6.0.3) =
<2ED8643D-B0C3-3F17-82A2-BBF13E6CBABC> =
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRe=
cognition.framework/Versions/A/SpeechRecognition
    0x7fff3c853000 -     0x7fff3c90cfff  com.apple.ColorSync (4.13.0 - =
3325) <D283C285-447D-3258-A7E4-59532123B8FF> =
/System/Library/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff3ca99000 -     0x7fff3cb2cff7  com.apple.audio.CoreAudio =
(4.3.0 - 4.3.0) <6E3F958D-79BB-3658-99AD-59F16BF756F1> =
/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff3cb93000 -     0x7fff3cbbcffb  com.apple.CoreBluetooth (1.0 - =
1) <E1335074-9D07-370E-8440-61C4874BAC56> =
/System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetoot=
h
    0x7fff3cbbd000 -     0x7fff3cf13fef  com.apple.CoreData (120 - 851) =
<A2B59780-FB16-36A3-8EE0-E0EF072454E0> =
/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff3cf14000 -     0x7fff3cff9ff7  com.apple.CoreDisplay (1.0 - =
97.16) <FCFB2A8C-7A5E-314B-AA12-04D33656A0E6> =
/System/Library/Frameworks/CoreDisplay.framework/Versions/A/CoreDisplay
    0x7fff3cffa000 -     0x7fff3d49bfef  com.apple.CoreFoundation (6.9 - =
1452.23) <945E5C0A-86C5-336E-A64F-5BF06E78985A> =
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundat=
ion
    0x7fff3d49d000 -     0x7fff3daadfef  com.apple.CoreGraphics (2.0 - =
1161.10) <31C36FA0-4026-3347-93FD-71CD7287A6F0> =
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff3daaf000 -     0x7fff3dd9efff  com.apple.CoreImage (13.0.0 - =
579.4.11) <702F8035-26FE-3C78-8587-4C9563E03CC4> =
/System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff3e02d000 -     0x7fff3e116ff7  com.apple.CoreMedia (1.0 - =
2275.61.1) <C440188D-BC13-3E1C-A322-5F1FF70BDB34> =
/System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia
    0x7fff3e166000 -     0x7fff3e166fff  com.apple.CoreServices (822.31 =
- 822.31) <615919A2-AE11-3F27-9A37-FB0CFF8D36B6> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff3e167000 -     0x7fff3e1dbffb  com.apple.AE (735.1 - 735.1) =
<08EBA184-20F7-3725-AEA6-C314448161C6> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE=
.framework/Versions/A/AE
    0x7fff3e1dc000 -     0x7fff3e4b3fff  =
com.apple.CoreServices.CarbonCore (1178.4 - 1178.4) =
<0D5E19BF-18CB-3FA4-8A5F-F6C787C5EE08> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Ca=
rbonCore.framework/Versions/A/CarbonCore
    0x7fff3e4b4000 -     0x7fff3e4e8fff  com.apple.DictionaryServices =
(1.2 - 284.2) <6505B075-41C3-3C62-A4C3-85CE3F6825CD> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Di=
ctionaryServices.framework/Versions/A/DictionaryServices
    0x7fff3e4e9000 -     0x7fff3e4f1ffb  com.apple.CoreServices.FSEvents =
(1239.50.1 - 1239.50.1) <3637CEC7-DF0E-320E-9634-44A442925C65> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FS=
Events.framework/Versions/A/FSEvents
    0x7fff3e4f2000 -     0x7fff3e6afff7  com.apple.LaunchServices =
(822.31 - 822.31) <BDFAB0FF-C2C6-375B-9E84-E43E267E2F82> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/La=
unchServices.framework/Versions/A/LaunchServices
    0x7fff3e6b0000 -     0x7fff3e760ff7  com.apple.Metadata (10.7.0 - =
1191.4.13) <B5C22E70-C265-3C9F-865F-B138994A418D> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Me=
tadata.framework/Versions/A/Metadata
    0x7fff3e761000 -     0x7fff3e7c1fff  =
com.apple.CoreServices.OSServices (822.31 - 822.31) =
<690E3C93-8799-39FF-8663-190A49B002E3> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OS=
Services.framework/Versions/A/OSServices
    0x7fff3e7c2000 -     0x7fff3e830fff  com.apple.SearchKit (1.4.0 - =
1.4.0) <3662545A-B1CF-3079-BDCD-C83855CEFEEE> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Se=
archKit.framework/Versions/A/SearchKit
    0x7fff3e831000 -     0x7fff3e855ffb  =
com.apple.coreservices.SharedFileList (71.21 - 71.21) =
<7DB79D78-9925-33F8-96BA-35AB7AEB326A> =
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Sh=
aredFileList.framework/Versions/A/SharedFileList
    0x7fff3eaf6000 -     0x7fff3ec46fff  com.apple.CoreText (352.0 - =
578.18) <B8454115-2A4B-3585-A7A1-B47A638F2EEB> =
/System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff3ec47000 -     0x7fff3ec81fff  com.apple.CoreVideo (1.8 - 0.0) =
<86CCC036-51BB-3DD1-9601-D93798BCCD0F> =
/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff3ec82000 -     0x7fff3ed0dff3  com.apple.framework.CoreWLAN =
(13.0 - 1350.1) <E862CC02-69D2-3503-887B-B6E8223081E7> =
/System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fff3ef88000 -     0x7fff3ef8dfff  com.apple.DiskArbitration (2.7 =
- 2.7) <A6450227-DD23-3100-ADBF-DB1C21E979F7> =
/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitr=
ation
    0x7fff3f14e000 -     0x7fff3f514fff  com.apple.Foundation (6.9 - =
1452.23) <E64540AD-1755-3C16-8537-552A00E92541> =
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff3f584000 -     0x7fff3f5b4fff  com.apple.GSS (4.0 - 2.0) =
<41087278-74AE-3FA5-8C0E-9C78EB696299> =
/System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff3f6c6000 -     0x7fff3f7caffb  com.apple.Bluetooth (6.0.5 - =
6.0.5f3) <85F1B5A6-03C5-3D5A-90B8-5FC86349E330> =
/System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
    0x7fff3f82a000 -     0x7fff3f8c5ff7  com.apple.framework.IOKit =
(2.0.2 - 1445.50.26) <A63CAC8D-BF57-34FD-9A88-2F74546F2000> =
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff3f8c7000 -     0x7fff3f8ceffb  com.apple.IOSurface (211.12 - =
211.12) <392CA7DE-B365-364E-AF4A-33EC2CC48E6F> =
/System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff3f925000 -     0x7fff3fa9efe7  com.apple.ImageIO.framework =
(3.3.0 - 1739.1) <E5E88083-26A7-3E48-8EB4-A1F04E0737CE> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff3fa9f000 -     0x7fff3faa3ffb  libGIF.dylib (1739.1) =
<D39BE184-279C-36AC-B233-EE17CACDEDB3> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.d=
ylib
    0x7fff3faa4000 -     0x7fff3fb8bfef  libJP2.dylib (1739.1) =
<053925CD-59DB-372F-98A8-C2372FF0B899> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.d=
ylib
    0x7fff3fb8c000 -     0x7fff3fbafff7  libJPEG.dylib (1739.1) =
<E925D511-B457-3732-9B67-1A7DFB228EA4> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.=
dylib
    0x7fff3fe8b000 -     0x7fff3feb1feb  libPng.dylib (1739.1) =
<48633B0C-BE01-3D94-9D9D-A95D50466AF9> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.d=
ylib
    0x7fff3feb2000 -     0x7fff3feb4ffb  libRadiance.dylib (1739.1) =
<A6F1064A-FFFC-3B06-8CBF-5204CDFC41C6> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadia=
nce.dylib
    0x7fff3feb5000 -     0x7fff3ff03fef  libTIFF.dylib (1739.1) =
<AD819413-29E3-3B2F-8997-2F88A82D9D83> =
/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.=
dylib
    0x7fff40d9f000 -     0x7fff40db8ff7  com.apple.Kerberos (3.0 - 1) =
<F86DCCDF-93C1-38B3-82C2-477C12E8EE6D> =
/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff41076000 -     0x7fff4107dfff  com.apple.MediaAccessibility =
(1.0 - 114) <9F72AACD-BAEB-3646-BD0F-12C47591C20D> =
/System/Library/Frameworks/MediaAccessibility.framework/Versions/A/MediaAc=
cessibility
    0x7fff41129000 -     0x7fff41790ff7  com.apple.MediaToolbox (1.0 - =
2275.61.1) <E92B8487-AE1C-3EA9-A80B-99B43AD75FC0> =
/System/Library/Frameworks/MediaToolbox.framework/Versions/A/MediaToolbox
    0x7fff41792000 -     0x7fff41813ff7  com.apple.Metal (125.25 - =
125.25) <B2ECA050-4C13-3EAD-A1C8-AC21EFF122F1> =
/System/Library/Frameworks/Metal.framework/Versions/A/Metal
    0x7fff41830000 -     0x7fff4184bfff  =
com.apple.MetalPerformanceShaders.MPSCore (1.0 - 1) =
<0B4455FE-5C97-345C-B416-325EC6D88A2A> =
/System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MP=
SCore.framework/Versions/A/MPSCore
    0x7fff4184c000 -     0x7fff418bbfef  =
com.apple.MetalPerformanceShaders.MPSImage (1.0 - 1) =
<87F14199-C445-34C2-90F8-57C29212483E> =
/System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MP=
SImage.framework/Versions/A/MPSImage
    0x7fff418bc000 -     0x7fff418e0fff  =
com.apple.MetalPerformanceShaders.MPSMatrix (1.0 - 1) =
<BD50FD9C-CE92-34AF-8663-968BF89202A0> =
/System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MP=
SMatrix.framework/Versions/A/MPSMatrix
    0x7fff418e1000 -     0x7fff419c8ff7  =
com.apple.MetalPerformanceShaders.MPSNeuralNetwork (1.0 - 1) =
<FBDDCAE6-EC6E-361F-B924-B3EBDEAC2D2F> =
/System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MP=
SNeuralNetwork.framework/Versions/A/MPSNeuralNetwork
    0x7fff419c9000 -     0x7fff419c9ff7  =
com.apple.MetalPerformanceShaders.MetalPerformanceShaders (1.0 - 1) =
<20ECB52B-B5C2-39EA-88E3-DFEC0C3CC9FF> =
/System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/Me=
talPerformanceShaders
    0x7fff429c8000 -     0x7fff429d4ffb  com.apple.NetFS (6.0 - 4.0) =
<471DD96F-FA2E-3FE9-9746-2519A6780D1A> =
/System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff457c6000 -     0x7fff45814fff  com.apple.opencl (2.8.15 - =
2.8.15) <83ED39D0-1D39-3593-BA25-70A8A911DE71> =
/System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff45815000 -     0x7fff45831ffb  com.apple.CFOpenDirectory =
(10.13 - 207.50.1) <C2715A7A-2E5C-3A21-ADB4-726F707A1294> =
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/C=
FOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff45832000 -     0x7fff4583dfff  com.apple.OpenDirectory (10.13 =
- 207.50.1) <220FB6F2-4892-3A66-8838-C134CF657D3A> =
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirector=
y
    0x7fff469bc000 -     0x7fff469befff  libCVMSPluginSupport.dylib =
(16.5.10) <BF5D065A-A38B-3446-9418-799F598072EF> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPl=
uginSupport.dylib
    0x7fff469bf000 -     0x7fff469c4ffb  libCoreFSCache.dylib (162.6.1) =
<879B2738-2E8A-3596-AFF8-9C3FB1B6828B> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFS=
Cache.dylib
    0x7fff469c5000 -     0x7fff469c9fff  libCoreVMClient.dylib (162.6.1) =
<64ED0A84-225F-39BC-BE0D-C896ACF5B50A> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVM=
Client.dylib
    0x7fff469ca000 -     0x7fff469d3ff7  libGFXShared.dylib (16.5.10) =
<6024B1FE-ACD7-3314-B390-85972CB9B778> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXSha=
red.dylib
    0x7fff469d4000 -     0x7fff469dffff  libGL.dylib (16.5.10) =
<AB8B6C73-8496-3784-83F6-27737ED03B09> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dyl=
ib
    0x7fff469e0000 -     0x7fff46a1bfe7  libGLImage.dylib (16.5.10) =
<5B41D074-3132-3587-91B6-E441BA8C9F13> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImag=
e.dylib
    0x7fff46b89000 -     0x7fff46bc7ffb  libGLU.dylib (16.5.10) =
<F6844912-1B86-34DF-9FB5-A428CC7B5B18> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dy=
lib
    0x7fff4753f000 -     0x7fff4754efff  com.apple.opengl (16.5.10 - =
16.5.10) <BC4EEFE3-A09B-3998-B723-1415B995B0EE> =
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff4839d000 -     0x7fff485e8ff7  com.apple.QuartzCore (1.11 - =
584.40) <ABC7F8FA-5F5A-31F4-868B-FDC4175BAFAC> =
/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff48e1c000 -     0x7fff49144fff  com.apple.security (7.0 - =
58286.51.6) <7212D257-5324-3DBA-8C26-504D6B8F632A> =
/System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff49145000 -     0x7fff491d1ff7  com.apple.securityfoundation =
(6.0 - 55185.50.5) <087D601E-7813-3F9E-97EE-BC7081F520BD> =
/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/Securit=
yFoundation
    0x7fff49203000 -     0x7fff49207ffb  com.apple.xpc.ServiceManagement =
(1.0 - 1) <5BFDB3ED-73A7-3035-A5BC-ADA6E4F74BFD> =
/System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceM=
anagement
    0x7fff495ac000 -     0x7fff4961cff3  com.apple.SystemConfiguration =
(1.17 - 1.17) <8532B8E9-7E30-35A3-BC4A-DDE8E0614FDA> =
/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/System=
Configuration
    0x7fff497d1000 -     0x7fff49b4cfff  com.apple.VideoToolbox (1.0 - =
2275.61.1) <B8E60F20-DEB7-38CA-B294-FD1DB3F233EC> =
/System/Library/Frameworks/VideoToolbox.framework/Versions/A/VideoToolbox
    0x7fff4c50d000 -     0x7fff4c5a0ff7  com.apple.APFS (1.0 - 1) =
<D1CE52E0-45C0-30C4-B440-E2CF2F74CEE5> =
/System/Library/PrivateFrameworks/APFS.framework/Versions/A/APFS
    0x7fff4d1bb000 -     0x7fff4d1e3fff  com.apple.framework.Apple80211 =
(13.0 - 1361.7) <16627876-8CF5-3502-A1D6-35FCBDD5E79A> =
/System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple802=
11
    0x7fff4d1e5000 -     0x7fff4d1f4fef  com.apple.AppleFSCompression =
(96.30.2 - 1.0) <ABFF224B-22D6-35F6-A072-9548FD388EB7> =
/System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/=
AppleFSCompression
    0x7fff4d336000 -     0x7fff4d37eff3  com.apple.AppleJPEG (1.0 - 1) =
<8DD410CB-76A1-3F22-9A9F-0491FA0CEB4A> =
/System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG=

    0x7fff4d3b9000 -     0x7fff4d3e1fff  com.apple.applesauce (1.0 - =
???) <CCA8B094-1BCE-3AE3-A0A7-D544C818DE36> =
/System/Library/PrivateFrameworks/AppleSauce.framework/Versions/A/AppleSau=
ce
    0x7fff4d4ae000 -     0x7fff4d4feff7  com.apple.AppleVAFramework =
(5.0.41 - 5.0.41) <8169ABC4-56F0-301E-B913-A762F7E40DBF> =
/System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
    0x7fff4dc01000 -     0x7fff4dc08ff7  =
com.apple.coreservices.BackgroundTaskManagement (1.0 - 57.1) =
<51A41CA3-DB1D-3380-993E-99C54AEE518E> =
/System/Library/PrivateFrameworks/BackgroundTaskManagement.framework/Versi=
ons/A/BackgroundTaskManagement
    0x7fff4dc09000 -     0x7fff4dc90ff7  com.apple.backup.framework =
(1.9.5 - 1.9.5) <BC020BDD-7C93-37E5-A762-4FDCBD2056A8> =
/System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff4f646000 -     0x7fff4f64fff3  com.apple.CommonAuth (4.0 - =
2.0) <4D237B25-27E5-3577-948B-073659F6D3C0> =
/System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAu=
th
    0x7fff4f98b000 -     0x7fff4fd93fff  com.apple.CoreAUC (259.0.0 - =
259.0.0) <1E0FB2C7-109E-3924-8E7F-8C6ACD78AF26> =
/System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
    0x7fff4fd94000 -     0x7fff4fdc4ff7  com.apple.CoreAVCHD (5.9.0 - =
5900.4.1) <E9FF9574-122A-3966-AA2B-546E512ACD06> =
/System/Library/PrivateFrameworks/CoreAVCHD.framework/Versions/A/CoreAVCHD=

    0x7fff50152000 -     0x7fff50162ff7  com.apple.CoreEmoji (1.0 - =
69.3) <A4357F5C-0C38-3A61-B456-D7321EB2CEE5> =
/System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji=

    0x7fff51040000 -     0x7fff51071ff3  com.apple.CoreServicesInternal =
(309.1 - 309.1) <EB09CAFC-AE9B-3257-BE45-5471D9F64AAD> =
/System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/=
A/CoreServicesInternal
    0x7fff513ad000 -     0x7fff5143efff  com.apple.CoreSymbolication =
(9.3 - 64026) <BAF3CE6E-8140-3159-BF1B-B953816459A0> =
/System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/C=
oreSymbolication
    0x7fff514c1000 -     0x7fff515f5fff  com.apple.coreui (2.1 - 494.1) =
<19624CAA-74DE-3DD3-9585-E64BE866EBFF> =
/System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff515f6000 -     0x7fff51726ff7  com.apple.CoreUtils (5.5 - =
550.44) <DFC364C3-0812-31B5-9C79-C81C2DFDDB8B> =
/System/Library/PrivateFrameworks/CoreUtils.framework/Versions/A/CoreUtils=

    0x7fff5177b000 -     0x7fff517dffff  com.apple.framework.CoreWiFi =
(13.0 - 1350.1) <6EC5DEB3-6E2F-3DC2-BE59-1FD05175FB0C> =
/System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
    0x7fff517e0000 -     0x7fff517f0ff7  com.apple.CrashReporterSupport =
(10.13 - 1) <4D0DF741-8BFA-3BCF-971D-6EF849019534> =
/System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/=
A/CrashReporterSupport
    0x7fff5186e000 -     0x7fff5187dff7  =
com.apple.framework.DFRFoundation (1.0 - 191.7) =
<3B8ED6F7-5DFF-34C3-BA90-DDB85679684C> =
/System/Library/PrivateFrameworks/DFRFoundation.framework/Versions/A/DFRFo=
undation
    0x7fff51880000 -     0x7fff51884ffb  com.apple.DSExternalDisplay =
(3.1 - 380) <8D03D346-887A-3CE7-9483-4AD7804D1FBB> =
/System/Library/PrivateFrameworks/DSExternalDisplay.framework/Versions/A/D=
SExternalDisplay
    0x7fff51906000 -     0x7fff5197cfff  com.apple.datadetectorscore =
(7.0 - 590.3) <83E85A62-44A8-33F8-AD79-AC4C807184C4> =
/System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/D=
ataDetectorsCore
    0x7fff519ca000 -     0x7fff51a0aff7  com.apple.DebugSymbols (181.0 - =
181.0) <299A0238-ED78-3676-B131-274D972824AA> =
/System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugS=
ymbols
    0x7fff51a0b000 -     0x7fff51b3afff  com.apple.desktopservices =
(1.12.4 - 1.12.4) <47C3FBF3-5E75-3821-B003-2A4DC3657D8D> =
/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A=
/DesktopServicesPriv
    0x7fff52951000 -     0x7fff52d7ffff  com.apple.vision.FaceCore =
(3.3.2 - 3.3.2) <B574FE33-4A41-3611-9738-388EBAF03E37> =
/System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fff549db000 -     0x7fff549dbfff  libmetal_timestamp.dylib =
(802.4.5) <BCA42032-C91F-3463-BA1E-1433262ACA0A> =
/System/Library/PrivateFrameworks/GPUCompiler.framework/Versions/3802/Libr=
aries/libmetal_timestamp.dylib
    0x7fff56047000 -     0x7fff5604cff7  com.apple.GPUWrangler (3.18.48 =
- 3.18.48) <D2BA4CFA-ED0A-3FEC-B5FF-2D6C0557334E> =
/System/Library/PrivateFrameworks/GPUWrangler.framework/Versions/A/GPUWran=
gler
    0x7fff56dc2000 -     0x7fff56dd1fff  com.apple.GraphVisualizer (1.0 =
- 5) <B993B8A2-5700-3DFC-9EB7-4CCEE8F959F1> =
/System/Library/PrivateFrameworks/GraphVisualizer.framework/Versions/A/Gra=
phVisualizer
    0x7fff56e54000 -     0x7fff56ec8fff  com.apple.Heimdal (4.0 - 2.0) =
<18607D75-DB78-3CC7-947E-AC769195164C> =
/System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff577c4000 -     0x7fff577cbff7  com.apple.IOAccelerator =
(378.18.1 - 378.18.1) <E47DDE66-1B2B-310F-A060-638CA5D86F9C> =
/System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAcc=
elerator
    0x7fff577cf000 -     0x7fff577e7fff  com.apple.IOPresentment (1.0 - =
35.1) <214AD582-466F-3844-A0A4-DE0742A8B899> =
/System/Library/PrivateFrameworks/IOPresentment.framework/Versions/A/IOPre=
sentment
    0x7fff57bb2000 -     0x7fff57bd8ffb  com.apple.IconServices (97.6 - =
97.6) <A56D826D-20D2-34BE-AACC-A80CFCB4E915> =
/System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconSe=
rvices
    0x7fff57e70000 -     0x7fff57f65ff7  com.apple.LanguageModeling (1.0 =
- 159.5.3) <7F0AC200-E3DD-39FB-8A95-00DD70B66A9F> =
/System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/La=
nguageModeling
    0x7fff57f66000 -     0x7fff57fa8fff  com.apple.Lexicon-framework =
(1.0 - 33.5) <DC94CF9E-1EB4-3C0E-B298-CA1190885276> =
/System/Library/PrivateFrameworks/Lexicon.framework/Versions/A/Lexicon
    0x7fff57fac000 -     0x7fff57fb3ff7  com.apple.LinguisticData (1.0 - =
238.3) <49A54649-1021-3DBD-99B8-1B2EDFFA5378> =
/System/Library/PrivateFrameworks/LinguisticData.framework/Versions/A/Ling=
uisticData
    0x7fff587b2000 -     0x7fff587b5fff  com.apple.Mangrove (1.0 - 1) =
<27D6DF76-B5F8-3443-8826-D25B284331BF> =
/System/Library/PrivateFrameworks/Mangrove.framework/Versions/A/Mangrove
    0x7fff58c92000 -     0x7fff58cfbff7  com.apple.gpusw.MetalTools (1.0 =
- 1) <B5F66CF4-BE75-3A0B-A6A0-2F22C7C259D9> =
/System/Library/PrivateFrameworks/MetalTools.framework/Versions/A/MetalToo=
ls
    0x7fff58d04000 -     0x7fff58d1bff7  com.apple.MobileAssets (1.0 - =
437.50.37) <675063CD-8335-32C2-AAAF-46CA5C265800> =
/System/Library/PrivateFrameworks/MobileAsset.framework/Versions/A/MobileA=
sset
    0x7fff58f1c000 -     0x7fff58f46ffb  =
com.apple.MultitouchSupport.framework (1404.4 - 1404.4) =
<45374A2A-C0BC-3A70-8183-37295205CDFA> =
/System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/M=
ultitouchSupport
    0x7fff591ad000 -     0x7fff591b8fff  com.apple.NetAuth (6.2 - 6.2) =
<B3795F63-C14A-33E1-9EE6-02A2E7661321> =
/System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff5aa4a000 -     0x7fff5aa5affb  com.apple.PerformanceAnalysis =
(1.194 - 194) <D0211AD1-72B3-3493-92C9-B4F40ED581D5> =
/System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A=
/PerformanceAnalysis
    0x7fff5c818000 -     0x7fff5c836fff  com.apple.ProtocolBuffer (1 - =
260) <40704740-4A53-3010-A49B-08D1D69D1D5E> =
/System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/Prot=
ocolBuffer
    0x7fff5ca0c000 -     0x7fff5ca2fffb  com.apple.RemoteViewServices =
(2.0 - 125) <592323D1-CB44-35F1-9921-4C2AB8D920A0> =
/System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/=
RemoteViewServices
    0x7fff5e34c000 -     0x7fff5e45efff  com.apple.Sharing (1019.46 - =
1019.46) <1266C41E-3CA9-3EFC-8413-A37D52EA9FB2> =
/System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
    0x7fff5e489000 -     0x7fff5e48aff7  =
com.apple.performance.SignpostNotification (1.2.4 - 2.4) =
<9957B2C0-4D48-3337-8A4D-5E457CC7B542> =
/System/Library/PrivateFrameworks/SignpostNotification.framework/Versions/=
A/SignpostNotification
    0x7fff5f1d2000 -     0x7fff5f46efff  com.apple.SkyLight (1.600.0 - =
312.50) <0CF4C608-8748-32BF-9586-A1601945F82C> =
/System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight
    0x7fff5fc34000 -     0x7fff5fc41ff7  com.apple.SpeechRecognitionCore =
(4.0.13 - 4.0.13) <8B5418A4-CDC5-3200-AEF0-F109E0DF9019> =
/System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions=
/A/SpeechRecognitionCore
    0x7fff600ec000 -     0x7fff60113fff  com.apple.StreamingZip (1.0 - =
1) <3DE92A6D-565E-3477-82B1-660987317BD8> =
/System/Library/PrivateFrameworks/StreamingZip.framework/Versions/A/Stream=
ingZip
    0x7fff607e5000 -     0x7fff6086efc7  com.apple.Symbolication (9.3 - =
64033) <FAA17252-6378-34A4-BBBB-22DF54EC1626> =
/System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbo=
lication
    0x7fff60dde000 -     0x7fff60de6ff7  com.apple.TCC (1.0 - 1) =
<E1EB7272-FE6F-39AB-83CA-B2B5F2A88D9B> =
/System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff60ff3000 -     0x7fff610b0ff7  com.apple.TextureIO (3.7 - 3.7) =
<F8BAC954-405D-3CC3-AB7B-048C866EF980> =
/System/Library/PrivateFrameworks/TextureIO.framework/Versions/A/TextureIO=

    0x7fff6115d000 -     0x7fff6130cfff  com.apple.UIFoundation (1.0 - =
547.3) <ACC12DF5-E528-33F3-A358-4E1BEA68239C> =
/System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoun=
dation
    0x7fff61fe1000 -     0x7fff620b0ff7  com.apple.ViewBridge (343.2 - =
343.2) <5519FCED-1F88-3BE6-9BE1-69992086B01B> =
/System/Library/PrivateFrameworks/ViewBridge.framework/Versions/A/ViewBrid=
ge
    0x7fff62a15000 -     0x7fff62a17ffb  com.apple.loginsupport (1.0 - =
1) <D1232C1B-80EA-3DF8-9466-013695D0846E> =
/System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/lo=
ginsupport.framework/Versions/A/loginsupport
    0x7fff62a18000 -     0x7fff62a2dfff  com.apple.login (3.0 - 3.0) =
<79189BF9-70D4-3839-9E2F-B3990B673A3E> =
/System/Library/PrivateFrameworks/login.framework/Versions/A/login
    0x7fff62b7e000 -     0x7fff62bb1ff7  libclosured.dylib (551.3) =
<DC3DA678-9C40-339C-A9C6-32AB74FCC682> =
/usr/lib/closure/libclosured.dylib
    0x7fff62c6b000 -     0x7fff62ca4ff7  libCRFSuite.dylib (41) =
<FE5EDB68-2593-3C2E-BBAF-1C52D206F296> /usr/lib/libCRFSuite.dylib
    0x7fff62ca5000 -     0x7fff62cb0fff  libChineseTokenizer.dylib (28) =
<53633C9B-A3A8-36F7-A53C-432D802F4BB8> =
/usr/lib/libChineseTokenizer.dylib
    0x7fff62d42000 -     0x7fff62d43ff3  =
libDiagnosticMessagesClient.dylib (104) =
<9712E980-76EE-3A89-AEA6-DF4BAF5C0574> =
/usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff62d7a000 -     0x7fff62f44ff3  libFosl_dynamic.dylib (17.8) =
<C58ED77A-4986-31C2-994C-34DDFB8106F0> /usr/lib/libFosl_dynamic.dylib
    0x7fff62f7c000 -     0x7fff62f7cfff  libOpenScriptingUtil.dylib =
(174) <610F0242-7CE5-3C86-951B-B646562694AF> =
/usr/lib/libOpenScriptingUtil.dylib
    0x7fff630b3000 -     0x7fff630b7ffb  libScreenReader.dylib =
(562.18.4) <E239923D-54C9-3BBF-852F-87C09DEF4091> =
/usr/lib/libScreenReader.dylib
    0x7fff630b8000 -     0x7fff630b9ffb  libSystem.B.dylib (1252.50.4) =
<C7810EA7-A61F-3817-8E54-E2EC4E26F946> /usr/lib/libSystem.B.dylib
    0x7fff6314c000 -     0x7fff6314cfff  libapple_crypto.dylib =
(109.50.14) <48BA2E76-BF2F-3522-A54E-D7FB7EAF7A57> =
/usr/lib/libapple_crypto.dylib
    0x7fff6314d000 -     0x7fff63163ff7  libapple_nghttp2.dylib (1.24) =
<01402BC4-4822-3676-9C80-50D83F816424> /usr/lib/libapple_nghttp2.dylib
    0x7fff63164000 -     0x7fff6318eff3  libarchive.2.dylib (54) =
<8FC28DD8-E315-3C3E-95FE-D1D2CBE49888> /usr/lib/libarchive.2.dylib
    0x7fff6318f000 -     0x7fff63210fdf  libate.dylib (1.13.1) =
<178ACDAD-DE7E-346C-A613-1CBF7929AC07> /usr/lib/libate.dylib
    0x7fff63214000 -     0x7fff63214ff3  libauto.dylib (187) =
<A05C7900-F8C7-3E75-8D3F-909B40C19717> /usr/lib/libauto.dylib
    0x7fff63215000 -     0x7fff632cdff3  libboringssl.dylib (109.50.14) =
<E6813F87-B5E4-3F7F-A725-E6A7F2BD02EC> /usr/lib/libboringssl.dylib
    0x7fff632ce000 -     0x7fff632deff3  libbsm.0.dylib (39) =
<6BC96A72-AFBE-34FD-91B1-748A530D8AE6> /usr/lib/libbsm.0.dylib
    0x7fff632df000 -     0x7fff632ecffb  libbz2.1.0.dylib (38) =
<0A5086BB-4724-3C14-979D-5AD4F26B5B45> /usr/lib/libbz2.1.0.dylib
    0x7fff632ed000 -     0x7fff63343fff  libc++.1.dylib (400.9) =
<7D3DACCC-3804-393C-ABC1-1A580FD00CB6> /usr/lib/libc++.1.dylib
    0x7fff63344000 -     0x7fff63368ff7  libc++abi.dylib (400.8.2) =
<EF5E37D7-11D9-3530-BE45-B986612D13E2> /usr/lib/libc++abi.dylib
    0x7fff6336a000 -     0x7fff6337afff  libcmph.dylib (6) =
<A5509EE8-7E00-3224-8814-015B077A3CF5> /usr/lib/libcmph.dylib
    0x7fff6337b000 -     0x7fff63391fff  libcompression.dylib (47.50.1) =
<491784AE-CB90-3E27-9081-95C3A1211760> /usr/lib/libcompression.dylib
    0x7fff6363c000 -     0x7fff63654ff7  libcoretls.dylib (155.50.1) =
<D350052E-DC4D-3185-ADBA-BA48EDCEE955> /usr/lib/libcoretls.dylib
    0x7fff63655000 -     0x7fff63656ff3  libcoretls_cfhelpers.dylib =
(155.50.1) <B297F5D8-F2FE-3566-A752-E9D998B9C039> =
/usr/lib/libcoretls_cfhelpers.dylib
    0x7fff63b27000 -     0x7fff63b7dff3  libcups.2.dylib (462.2) =
<64864CBE-03A3-34C7-9DBB-C93601F183FD> /usr/lib/libcups.2.dylib
    0x7fff63cbd000 -     0x7fff63cbdfff  libenergytrace.dylib (16) =
<A92AB8B8-B986-3CE6-980D-D55090FEF387> /usr/lib/libenergytrace.dylib
    0x7fff63cf4000 -     0x7fff63cf9ff3  libheimdal-asn1.dylib =
(520.50.6) <E358445A-B84E-31B5-BCCD-7E1397519D96> =
/usr/lib/libheimdal-asn1.dylib
    0x7fff63d25000 -     0x7fff63e16ff7  libiconv.2.dylib (51.50.1) =
<2FEC9707-3FAF-3828-A50D-8605086D060F> /usr/lib/libiconv.2.dylib
    0x7fff63e17000 -     0x7fff6403effb  libicucore.A.dylib (59173.0.1) =
<CECAD5E5-3EFD-3AAC-AD9B-E355B2DD5E9C> /usr/lib/libicucore.A.dylib
    0x7fff6408b000 -     0x7fff6408cfff  liblangid.dylib (128) =
<39C39393-0D05-301D-93B2-F224FC4949AA> /usr/lib/liblangid.dylib
    0x7fff6408d000 -     0x7fff640a6ffb  liblzma.5.dylib (10) =
<3D419A50-961F-37D2-8A01-3DC7AB7B8D18> /usr/lib/liblzma.5.dylib
    0x7fff640a7000 -     0x7fff640bdff7  libmarisa.dylib (9) =
<D6D2D55D-1D2E-3442-B152-B18803C0ABB4> /usr/lib/libmarisa.dylib
    0x7fff6416e000 -     0x7fff64396ff7  libmecabra.dylib (779.7.6) =
<F462F170-E872-3D09-B219-973D5E99C09F> /usr/lib/libmecabra.dylib
    0x7fff6439b000 -     0x7fff643cbffb  libncurses.5.4.dylib (53) =
<030DF747-F71B-367A-83EE-2F30B7947929> /usr/lib/libncurses.5.4.dylib
    0x7fff6456e000 -     0x7fff646e8fff  libnetwork.dylib (1229.51.2) =
<D64FE2A1-CBFD-3817-A701-9A0DDBD70DCF> /usr/lib/libnetwork.dylib
    0x7fff64767000 -     0x7fff64b557e7  libobjc.A.dylib (723) =
<DD9E5EC5-B507-3249-B700-93433E2D5EDF> /usr/lib/libobjc.A.dylib
    0x7fff64b68000 -     0x7fff64b6cfff  libpam.2.dylib (22) =
<7B4D2CE2-1438-387A-9802-5CEEFBF26F86> /usr/lib/libpam.2.dylib
    0x7fff64b6f000 -     0x7fff64ba3fff  libpcap.A.dylib (79.20.1) =
<FA13918B-A247-3181-B256-9B852C7BA316> /usr/lib/libpcap.A.dylib
    0x7fff64c22000 -     0x7fff64c3effb  libresolv.9.dylib (65) =
<E8F3415B-4472-3202-8901-41FD87981DB2> /usr/lib/libresolv.9.dylib
    0x7fff64c8d000 -     0x7fff64c8eff3  libspindump.dylib (252) =
<D8E27057-E3CC-3D7F-A010-4A87830F6A83> /usr/lib/libspindump.dylib
    0x7fff64c8f000 -     0x7fff64e22ff7  libsqlite3.dylib (274.8.1) =
<FCAD6A57-829E-3701-B16E-1833D620E0E8> /usr/lib/libsqlite3.dylib
    0x7fff64ff6000 -     0x7fff65056ff3  libusrtcp.dylib (1229.51.2) =
<3D8806D9-4BA9-35EE-BC44-F58BC2A0962D> /usr/lib/libusrtcp.dylib
    0x7fff65057000 -     0x7fff6505affb  libutil.dylib (51.20.1) =
<216D18E5-0BAF-3EAF-A38E-F6AC37CBABD9> /usr/lib/libutil.dylib
    0x7fff6505b000 -     0x7fff65068fff  libxar.1.dylib (400) =
<0316128D-3B47-3052-995D-97B4FE5491DC> /usr/lib/libxar.1.dylib
    0x7fff6506c000 -     0x7fff65153fff  libxml2.2.dylib (31.10) =
<503721DB-0D8D-379E-B743-18CE59304155> /usr/lib/libxml2.2.dylib
    0x7fff65154000 -     0x7fff6517cfff  libxslt.1.dylib (15.12) =
<4A5E011D-8B29-3135-A52B-9A9070ABD752> /usr/lib/libxslt.1.dylib
    0x7fff6517d000 -     0x7fff6518fffb  libz.1.dylib (70) =
<48C67CFC-940D-3857-8DAD-857774605352> /usr/lib/libz.1.dylib
    0x7fff6522b000 -     0x7fff6522fff7  libcache.dylib (80) =
<092479CB-1008-3A83-BECF-E115F24D13C1> /usr/lib/system/libcache.dylib
    0x7fff65230000 -     0x7fff6523aff3  libcommonCrypto.dylib =
(60118.50.1) <029F5985-9B6E-3DCB-9B96-FD007678C6A7> =
/usr/lib/system/libcommonCrypto.dylib
    0x7fff6523b000 -     0x7fff65242fff  libcompiler_rt.dylib (62) =
<968B8E3F-3681-3230-9D78-BB8732024F6E> =
/usr/lib/system/libcompiler_rt.dylib
    0x7fff65243000 -     0x7fff6524cffb  libcopyfile.dylib (146.50.5) =
<3885083D-50D8-3EEC-B481-B2E605180D7F> /usr/lib/system/libcopyfile.dylib
    0x7fff6524d000 -     0x7fff652d2fff  libcorecrypto.dylib (562.50.17) =
<67007279-24E1-3F30-802D-A55CD5C27946> =
/usr/lib/system/libcorecrypto.dylib
    0x7fff6535a000 -     0x7fff65393ff7  libdispatch.dylib (913.50.12) =
<848EEE57-4235-3A61-9A52-C0097DD2AB5E> /usr/lib/system/libdispatch.dylib
    0x7fff65394000 -     0x7fff653b1ff7  libdyld.dylib (551.3) =
<CF59A5A5-288B-30E6-BD42-9056B4E4139A> /usr/lib/system/libdyld.dylib
    0x7fff653b2000 -     0x7fff653b2ffb  libkeymgr.dylib (28) =
<E34E283E-90FA-3C59-B48E-1277CDB9CDCE> /usr/lib/system/libkeymgr.dylib
    0x7fff653b3000 -     0x7fff653bfff3  libkxld.dylib (4570.51.1) =
<C2B927F3-E9D9-3ACF-A358-A51A61749FB4> /usr/lib/system/libkxld.dylib
    0x7fff653c0000 -     0x7fff653c0ff7  liblaunch.dylib (1205.50.76) =
<4D52BB64-C568-3A36-8935-2480427EE2A2> /usr/lib/system/liblaunch.dylib
    0x7fff653c1000 -     0x7fff653c5ffb  libmacho.dylib (906) =
<1902A611-081A-3452-B11E-EBD1B166E831> /usr/lib/system/libmacho.dylib
    0x7fff653c6000 -     0x7fff653c8ff3  libquarantine.dylib (86) =
<26C0BA22-8F93-3A07-9A4E-C8D53D2CE42E> =
/usr/lib/system/libquarantine.dylib
    0x7fff653c9000 -     0x7fff653caff3  libremovefile.dylib (45) =
<711E18B2-5BBE-3211-A916-56740C27D17A> =
/usr/lib/system/libremovefile.dylib
    0x7fff653cb000 -     0x7fff653e2fff  libsystem_asl.dylib (356.50.1) =
<3B24F2D1-B578-359D-ADB2-0ED19A364C38> =
/usr/lib/system/libsystem_asl.dylib
    0x7fff653e3000 -     0x7fff653e3fff  libsystem_blocks.dylib (67) =
<17303FDF-0D2D-3963-B05E-B4DF63052D47> =
/usr/lib/system/libsystem_blocks.dylib
    0x7fff653e4000 -     0x7fff6546dff7  libsystem_c.dylib (1244.50.9) =
<1187BFE8-4576-3247-8177-481554E1F9E7> /usr/lib/system/libsystem_c.dylib
    0x7fff6546e000 -     0x7fff65471ffb  libsystem_configuration.dylib =
(963.50.8) <DF6B5287-203E-30CB-9947-78DF446C72B8> =
/usr/lib/system/libsystem_configuration.dylib
    0x7fff65472000 -     0x7fff65475ffb  libsystem_coreservices.dylib =
(51) <486000D3-D8CB-3BE7-8EE5-8BF380DE6DF7> =
/usr/lib/system/libsystem_coreservices.dylib
    0x7fff65476000 -     0x7fff65477fff  libsystem_darwin.dylib =
(1244.50.9) <09C21A4A-9EE0-388B-A9D9-DFF8F6758791> =
/usr/lib/system/libsystem_darwin.dylib
    0x7fff65478000 -     0x7fff6547eff7  libsystem_dnssd.dylib =
(878.50.17) <9033B909-BCF7-37EB-A040-ADE8081611D6> =
/usr/lib/system/libsystem_dnssd.dylib
    0x7fff6547f000 -     0x7fff654c8ff7  libsystem_info.dylib (517.30.1) =
<AB634A98-B8AA-3804-8436-38261FC8EC4D> =
/usr/lib/system/libsystem_info.dylib
    0x7fff654c9000 -     0x7fff654efff7  libsystem_kernel.dylib =
(4570.51.1) <5CAAB092-02CC-3A37-9D5F-C4AD1083AB96> =
/usr/lib/system/libsystem_kernel.dylib
    0x7fff654f0000 -     0x7fff6553bfcb  libsystem_m.dylib (3147.50.1) =
<FC2E58BA-E6D5-3D2A-89CA-67F212294136> /usr/lib/system/libsystem_m.dylib
    0x7fff6553c000 -     0x7fff6555bfff  libsystem_malloc.dylib =
(140.50.6) <7FD43735-9DDD-300E-8C4A-F909A74BDF49> =
/usr/lib/system/libsystem_malloc.dylib
    0x7fff6555c000 -     0x7fff6568cff3  libsystem_network.dylib =
(1229.51.2) <F65ED095-8ABA-3355-93F8-B9D0505932F4> =
/usr/lib/system/libsystem_network.dylib
    0x7fff6568d000 -     0x7fff65697ffb  =
libsystem_networkextension.dylib (767.50.25) =
<758F1414-796D-3422-83C9-92D2915A06CE> =
/usr/lib/system/libsystem_networkextension.dylib
    0x7fff65698000 -     0x7fff656a1ff3  libsystem_notify.dylib (172) =
<08012EC0-2CD2-34BE-BF93-E7F56491299A> =
/usr/lib/system/libsystem_notify.dylib
    0x7fff656a2000 -     0x7fff656a9ff7  libsystem_platform.dylib =
(161.50.1) <6355EE2D-5456-3CA8-A227-B96E8F1E2AF8> =
/usr/lib/system/libsystem_platform.dylib
    0x7fff656aa000 -     0x7fff656b5fff  libsystem_pthread.dylib =
(301.50.1) <0E51CCBA-91F2-34E1-BF2A-FEEFD3D321E4> =
/usr/lib/system/libsystem_pthread.dylib
    0x7fff656b6000 -     0x7fff656b9fff  libsystem_sandbox.dylib =
(765.50.51) <B48D256E-D7DB-3D4F-BC95-34557170C7AA> =
/usr/lib/system/libsystem_sandbox.dylib
    0x7fff656ba000 -     0x7fff656bbff3  libsystem_secinit.dylib (30) =
<DE8D14E8-A276-3FF8-AE13-77F7040F33C1> =
/usr/lib/system/libsystem_secinit.dylib
    0x7fff656bc000 -     0x7fff656c3ff7  libsystem_symptoms.dylib =
(820.50.37) <ED7350E0-B68B-374A-9AB7-DC1F195A8327> =
/usr/lib/system/libsystem_symptoms.dylib
    0x7fff656c4000 -     0x7fff656d7fff  libsystem_trace.dylib =
(829.50.17) <6568D68B-1D4C-38EE-90A9-54821D6403C0> =
/usr/lib/system/libsystem_trace.dylib
    0x7fff656d9000 -     0x7fff656deff7  libunwind.dylib (35.3) =
<BEF3FB49-5604-3B5F-82B5-332B80023AC3> /usr/lib/system/libunwind.dylib
    0x7fff656df000 -     0x7fff6570cfff  libxpc.dylib (1205.50.76) =
<25DB244E-217D-3CE0-A8F2-0C4255783B42> /usr/lib/system/libxpc.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 141687
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=3D358.9M resident=3D0K(0%) =
swapped_out_or_unallocated=3D358.9M(100%)
Writable regions: Total=3D151.3M written=3D0K(0%) resident=3D0K(0%) =
swapped_out=3D0K(0%) unallocated=3D151.3M(100%)
=20
                                VIRTUAL   REGION=20
REGION TYPE                        SIZE    COUNT (non-coalesced)=20
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D                     =3D=3D=3D=3D=3D=3D=3D=
  =3D=3D=3D=3D=3D=3D=3D=20
Accelerate framework               384K        2=20
Activity Tracing                   256K        2=20
CG backing stores                 1312K        4=20
CG image                            12K        2=20
CoreAnimation                       24K        5=20
CoreImage                            8K        3=20
CoreUI image data                  520K        6=20
CoreUI image file                  180K        3=20
Dispatch continuations            16.0M        2=20
Foundation                           4K        2=20
Image IO                           308K        2=20
Kernel Alloc Once                    8K        2=20
MALLOC                           111.0M       43=20
MALLOC guard page                   48K       13=20
Memory Tag 242                      12K        2=20
STACK GUARD                         32K        9=20
Stack                             12.1M       10=20
Stack (reserved)                  1596K        2         reserved VM =
address space (unallocated)
Stack Guard                       54.4M        2=20
VM_ALLOCATE                         76K        9=20
__DATA                            45.5M      249=20
__FONT_DATA                          4K        2=20
__LINKEDIT                       194.0M       11=20
__TEXT                           164.9M      239=20
__UNICODE                          560K        2=20
mapped file                       55.9M       20=20
shared memory                     2676K       12=20
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D                     =3D=3D=3D=3D=3D=3D=3D=
  =3D=3D=3D=3D=3D=3D=3D=20
TOTAL                            661.6M      633=20
TOTAL, minus reserved VM space   660.1M      633=20






In GNU Emacs 26.1 (build 1, x86_64-apple-darwin14.5.0, NS appkit-1348.17 =
Version 10.10.5 (Build 14F2511))
 of 2018-05-30 built on builder10-10.porkrind.org
Windowing system distributor 'Apple', version 10.3.1561
Recent messages:
Loading /Users/tim/.emacs.d/initializers.d/yaml.el (source)...done
Loading /Users/tim/.emacs.d/initializers.d/yasnippet.el (source)...
[yas] Prepared just-in-time loading of snippets successfully.
Loading /Users/tim/.emacs.d/initializers.d/yasnippet.el (source)...done
Loading /Users/tim/.emacs.d/initializers.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
completing-read-default: Command attempted to use minibuffer while in =
minibuffer [2 times]
Quit [2 times]
user-error: Beginning of history; no preceding item
user-error: End of history; no default available

Configured using:
 'configure --with-ns '--enable-locallisppath=3D/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES THREADS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  window-numbering-mode: t
  override-global-mode: t
  diff-auto-refine-mode: t
  yas-global-mode: t
  recentf-mode: t
  projectile-mode: t
  ido-vertical-mode: t
  ido-everywhere: t
  global-evil-surround-mode: t
  shell-dirtrack-mode: t
  evil-mode: t
  evil-local-mode: t
  global-company-mode: t
  global-auto-revert-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  global-visual-line-mode: t
  transient-mark-mode: t

Load-path shadows:
~/.emacs.d/vendor/ensime-emacs/ensime-ui hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-ui
~/.emacs.d/vendor/ensime-emacs/ensime-vars hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-vars
~/.emacs.d/vendor/ensime-emacs/ensime-client hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-client
~/.emacs.d/vendor/ensime-emacs/ensime-stacktrace hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-stacktrace
~/.emacs.d/vendor/ensime-emacs/ensime-eldoc hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-eldoc
~/.emacs.d/vendor/ensime-emacs/ensime-notes hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-notes
~/.emacs.d/vendor/ensime-emacs/ensime-util hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-util
~/.emacs.d/vendor/ensime-emacs/ensime-popup hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-popup
~/.emacs.d/vendor/ensime-emacs/ensime-auto-complete hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-auto-complete
~/.emacs.d/vendor/ensime-emacs/ensime-compat hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-compat
~/.emacs.d/vendor/ensime-emacs/ensime-config hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-config
~/.emacs.d/vendor/ensime-emacs/ensime-expand-region hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-expand-region
~/.emacs.d/vendor/ensime-emacs/ensime-editor hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-editor
~/.emacs.d/vendor/ensime-emacs/ensime-ivy hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-ivy
~/.emacs.d/vendor/ensime-emacs/ensime-mode hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-mode
~/.emacs.d/vendor/ensime-emacs/ensime-doc hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-doc
~/.emacs.d/vendor/ensime-emacs/ensime-inf hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-inf
~/.emacs.d/vendor/ensime-emacs/ensime-debug hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-debug
~/.emacs.d/vendor/ensime-emacs/ensime hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime
~/.emacs.d/vendor/ensime-emacs/ensime-http hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-http
~/.emacs.d/vendor/ensime-emacs/ensime-completion-util hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-completion-util
~/.emacs.d/vendor/ensime-emacs/ensime-model hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-model
~/.emacs.d/vendor/ensime-emacs/ensime-undo hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-undo
~/.emacs.d/vendor/ensime-emacs/ensime-sbt hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-sbt
~/.emacs.d/vendor/ensime-emacs/ensime-comint-utils hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-comint-utils
~/.emacs.d/vendor/ensime-emacs/ensime-company hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-company
~/.emacs.d/vendor/ensime-emacs/ensime-refactor hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-refactor
~/.emacs.d/vendor/ensime-emacs/ensime-overlay hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-overlay
~/.emacs.d/vendor/ensime-emacs/ensime-macros hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-macros
~/.emacs.d/vendor/ensime-emacs/ensime-search hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-search
~/.emacs.d/vendor/ensime-emacs/ensime-startup hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-startup
~/.emacs.d/vendor/ensime-emacs/ensime-helm hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-helm
~/.emacs.d/vendor/ensime-emacs/ensime-semantic-highlight hides =
/Users/tim/.emacs.d/elpa/ensime-20180320.230/ensime-semantic-highlight

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec epa epg gnus-util rmail rmail-loaddefs
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils paredit window-numbering imenu use-package-bind-key bind-key
use-package-core ensime ensime-mode ensime-sbt sbt-mode sbt-mode-rgrep
sbt-mode-comint sbt-mode-buffer sbt-mode-project sbt-mode-vars
ensime-http ensime-ui ensime-semantic-highlight ensime-doc ensime-search
ensime-helm ensime-undo ensime-startup ensime-refactor diff-mode
ensime-popup ensime-eldoc ensime-notes ensime-company go-snippets
yasnippet elec-pair ensime-editor ensime-ivy ensime-model ensime-debug
gdb-mi bindat gud ensime-stacktrace ensime-inf ensime-overlay
ensime-compat ensime-completion-util ensime-config ensime-util
ensime-client ensime-vars url-gw scala-mode scala-mode-prettify-symbols
scala-mode-imenu scala-mode-map scala-mode-fontlock scala-mode-indent
scala-mode-paragraph scala-mode-syntax scala-mode-lib s pp hideshow
flymake-proc flymake warnings arc-mode archive-mode ensime-macros
hide-lines scala-plus recentf tree-widget wid-edit projectile skeleton
ibuf-macs grep ibuf-ext ibuffer ibuffer-loaddefs linum langtool
ido-vertical-mode ido-other-window ido company-go go-mode url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util mailcap find-file go-plus evil-surround evil evil-integration
undo-tree diff evil-maps evil-commands ffap reveal flyspell ispell
evil-jumps evil-command-window evil-types evil-search evil-ex shell
pcomplete evil-macros evil-repeat evil-states evil-core evil-common
windmove thingatpt rect evil-digraphs evil-vars auto-complete advice
popup company-oddmuse company-keywords company-etags etags xref project
company-gtags company-dabbrev-code company-dabbrev company-files
company-capf company-cmake company-xcode company-clang company-semantic
company-eclim company-template company-bbdb company
highlight-parentheses inferior-amm-mode flycheck derived cl-extra
easy-mmode json map find-func help-mode rx subr-x dash cl pcase
jka-compr compile comint ansi-color ring let-alist finder-inf tex-site
info edmacro kmacro package easymenu epg-config url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache url-vars seq byte-opt gv bytecomp byte-compile cconv
autorevert filenotify cl-loaddefs cl-lib cus-start cus-load time-date
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/ns-win ns-win ucs-normalize mule-util term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow isearch timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core term/tty-colors frame cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote kqueue cocoa ns
multi-tty make-network-process emacs)

Memory information:
((conses 16 823187 22664)
 (symbols 48 44970 1)
 (miscs 40 125 362)
 (strings 32 150588 4722)
 (string-bytes 1 5223010)
 (vectors 16 56723)
 (vector-slots 8 989331 17558)
 (floats 8 134 30)
 (intervals 56 375 0)
 (buffers 992 12))





Acknowledgement sent to Tim Harper <timcharper@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#31848; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 6 Aug 2018 20:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.